Recent

Author Topic: GeckoPort version2 + FPC 2.6.1  (Read 5549 times)

Vingadero

  • New Member
  • *
  • Posts: 42
GeckoPort version2 + FPC 2.6.1
« on: March 25, 2012, 07:05:33 pm »
Hello,
I'm trying to install Gecko and I'm getting this error after "fppkg install gecko" command:

Code: [Select]
nsProfile.pas(53,66) Error: Identifier not found "PRBool"
Is Gecko not compatible with FPC  2.6.1?

I'm using Gecko2 from SVN
and Lazarus-0.9.31-36173-fpc-2.6.1-20120320-win32

thx in advance.

ludob

  • Hero Member
  • *****
  • Posts: 1173
Re: GeckoPort version2 + FPC 2.6.1
« Reply #1 on: March 25, 2012, 07:45:14 pm »
Gecko 0.9.0-1504 works fine here with 2.6.1. Make sure you have set Delphi as the default syntax mode in the Project/Project Options/Parsing screen. Otherwise you get all kind of compiler errors.

Vingadero

  • New Member
  • *
  • Posts: 42
Re: GeckoPort version2 + FPC 2.6.1
« Reply #2 on: March 25, 2012, 10:49:58 pm »
Hi thx for reply

Where u got this version? I can only find version1 and version2...

This version Gecko 0.9.0-1504 supports javascript?

ty

ludob

  • Hero Member
  • *****
  • Posts: 1173
Re: GeckoPort version2 + FPC 2.6.1
« Reply #3 on: March 26, 2012, 09:59:13 am »
Quote
Where u got this version? I can only find version1 and version2...
0.9.0-1504 was the version downloaded with fppkg six months ago. Now it is version 2.9.0-1.

Downloaded it and I get the same error as you with 2.6.1. I Changed my Gecko project to use 2.9.0-1 and recompiled it. Got an error in GeckoChromeWindow.pas line 175: THandle is defined in fpc as a DWORD while nativeWindow is a pointer. This is only a minor problem and changed in nsibasewindow.inc type nativeWIndow=THandle. Gecko compiles now but my project fails because following interfaces are not defined:
nsIDOMHTMLInputElement, nsIDOMHTMLFrameElement, nsICookie, nsICookieManager, nsIDOMAbstractView, nsIDOMDocumentEvent, nsIDOMDocumentView and nsIDOMMouseEvent. Needless to say that this new version is simply useless if you want to do some real DOM work. Perhaps it is sufficient if you just want to embed a basic browser.

Quote
This version Gecko 0.9.0-1504 supports javascript?
Yes. I'm using it with xulrunner version 1.9.1 from xulrunner-1.9.1.19.en-US.win32.zip.

If you want I can send you Gecko 0.9.0-1504. Too large to attach but I'll upload it to dropbox.

Edit: where did you find version 1?

Vingadero

  • New Member
  • *
  • Posts: 42
Re: GeckoPort version2 + FPC 2.6.1
« Reply #4 on: March 26, 2012, 03:41:58 pm »
You can get the version 1 or 2 via SVN here https://lazarus-ccr.svn.sourceforge.net/svnroot/lazarus-ccr/components/geckoport/

I was able to install version 1, do you know which xulrunner dlls is needed to distribute with the exe?

ty

ludob

  • Hero Member
  • *****
  • Posts: 1173
Re: GeckoPort version2 + FPC 2.6.1
« Reply #5 on: March 26, 2012, 03:54:17 pm »
Quote
You can get the version 1 or 2 via SVN here https://lazarus-ccr.svn.sourceforge.net/svnroot/lazarus-ccr/components/geckoport/
OK. Version 1 has the same file layout as 0.9.0-1504.

Quote
I was able to install version 1, do you know which xulrunner dlls is needed to distribute with the exe?
AFAIK you need the full xulrunner dir as found in fe. xulrunner-1.9.1.19.en-US.win32.zip.  I never attempted to reduce the number of files. Not sure if the licensing allows you to distribute only a part of the package.

 

TinyPortal © 2005-2018